<?php
	include'session.php';
	include'connection.php';
	include'../Retailers/functions.php';
?>
<html>
<head>
	<title>Txn By User</title>
	<!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    
	<link rel="icon" href="images/logo.png" type="image/gif" sizes="16x16">
	
	<!-- Admin CSS File Link -->
	<link rel="stylesheet" href="css/style.css">
	
	<!-- User JAVA SCRIPT File Link -->
	<script type="text/javascript" src="js/script.js"></script>

	
	<!-- Font Awesome Icone -->
	<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
	
	<style>
		.div1{
			background:;
			width:96%;
			margin:0 2%;
			padding:5px 10px;
		}
		.div1 input, .div1 select{
			height:40px;
			max-width:160px;
			font-size:14px;
			padding:5px;
			border-radius:5px;
			border:solid #6b5127 1px;
			overflow:hidden;
			margin:10px 5px;
		}
		input[type=submit]{
			background:#6b5127;
			color:white;
			transition:1s;
			cursor:pointer;
		}
		input[type=submit]:hover{
			background:white;
			color:#6b5127;
			transition:1s;
		}
		.div2{
			background:#f7f7f7;
			width:100%;
			height:450px;
			float:left;
			text-align:center;
			padding:5px;
			overflow:auto;
		}
		.div2 table{
			width:98%;
			text-align:center;
			font-size:13px;
			border-collapse:collapse;
			padding:2px 5px;
			margin:1%;
		}
        .div2 table tr:nth-child(odd){background:#f6f0e8;}
        .div2 table tr:nth-child(even){background:white; }
		table th{
			background:#6b5127;
			color:white;
			height:35px;
			border:solid white 1px;
			padding:2px 5px;
		}
		table td{
			height:30px;
			border:solid black 1px;
			padding:2px 5px;
		}
		
		#inpNum{display:none;}
		
		@media(max-width:768px)
		{
			.div1{
				background:;
				width:100%;
				height:auto;
				margin:10px 0 0 0;
				padding:0;
				text-align:center;
			}
			.div1 input,.div1 select{
				width:90%;
				margin:10px;
			}
			.div2{
				width:100%;
				margin:10px 0 0 0;
				padding:0px;
				text-align:center;
			}
		}
		

	</style>
	
	<link rel="stylesheet" href="css/mediaStyle.css">
</head>
<body>
	<!--Header Divison-->
	<?php
		require'header.php';
	?>
	
	<!--Container Division-->
	<div class="container">
		<?php
			include'menu.php';
		?>
		<div class="content" id="contentDiv">
			<div class="head">
				<div class="title"><i class="fa fa-bars" onclick="hideMenu()" style="float:left; margin:10px;"></i><p>Recharge By Lapu :-</p></div>
				<div class="msg"><marquee><?php include'msg.php'; ?></marquee></msg>
			</div><hr>
			<div class="data-content">
			    <script>
			        function hideMenu()
			        {
			            if(document.getElementById("navHide").style.display!="none")
			            {
			                document.getElementById("navHide").style.display = "none";
			                document.getElementById("contentDiv").style.width = "100%";
			            }
			            else
			            {
			                document.getElementById("navHide").style.display = "inline";
			                document.getElementById("contentDiv").style.width = "82%";
			            }
			        }
			        
			        
			        function diffType()
			        {
			            var DiffType = document.getElementById("Diff").value;
			            
			            if(DiffType=="ALL")
			            {
			                document.getElementById("status").style.display= "inline";
			                document.getElementById("inpNum").style.display= "none";
			            }
			            else
			            {
			                document.getElementById("status").style.display= "none";
			                document.getElementById("inpNum").style.display= "inline";
			            }
			        }
			    </script>
			    <?php
			        $uid=$_GET['uid'];
			        $orderId=$_GET['rechId'];
			        $rechDate=$_GET['rechDate'];
			        
			        if(isset($_POST['submit']))
			        {
			            $fDateValue=$_POST['fdate'];
			            $lDateValue=$_POST['ldate'];
						$seller = $_POST['seller'];
			        }
			        else
			        {
			            $fDateValue=$date;
			            $lDateValue=$date;
			        }
			    ?>
				<form method="post">
					<div class="div1">
				        <h3><?php echo getName($uid) ?></h3>
						<input type="date" name="fdate" id="date1" value="<?php echo $fDateValue; ?>">
						<input type="date" name="ldate" id="date2" value="<?php echo $lDateValue; ?>">
		                <select name="op">
		                    <option>ALL</option>
		                    <?php
		                        $quOp="SELECT * FROM operator";
		                        $reOp=mysqli_query($con,$quOp);
		                        while($dataOp=mysqli_fetch_array($reOp))
		                        {
		                            echo "<option>".$dataOp['Operator']."</option>";
		                        }
		                    ?>
		                </select>
		                <input style="width:70px" type="number" name="DiffAmt" id="inpNum" value="100">
						<select name="status" id="status">
						    <option>SUCCESS</option>
						    <option>FAILED</option>
						    <option>PENDING</option>
						    <option>ALL</option>
						</select>
						<input type="submit" name="submit" value="Submit"  onclick='showLoader()'>
					</div>
				</form>
				<div class="div2">
					<table cellpadding="20" border="2"> 
						<tr>
							<th>From</th>
							<th>To</th>
							<th>Operator</th>
							<th>Amount</th>
							<th>RO</th>
						</tr>
						<?PHP
							if(isset($_POST['submit']))
							{
								$fdate = $_POST['fdate'];
								$ldate = $_POST['ldate'];
								
								$quOp="SELECT * FROM operator";
								$reOp=mysqli_query($on,$quOp);
								while($dataOp=mysqli_fetch_array($reOp))
								{
								    $OwnApiCode=$dataOp['OwnApiCode'];
								    $TotalTxn=0;
								    $TotalRo=0;
								    $quTxn="SELECT * FROM recharge WHERE Userid='$uid' AND Status='SUCCESS' AND Rechargedate>='$fdate' AND Rechargedate<='$ldate' AND OpCode='$OwnApiCode'";
								    $reTxn=mysqli_query($con,$quTxn);
								    while($dataTxn=mysqli_fetch_array($reTxn))
								    {   
							    		$TotalTxn=$TotalTxn+$dataTxn['Amount'];
							    		$TotalRo=$TotalRo+$dataTxn['R_Offer'];
							    		$opName=$dataTxn['Companyname'];
								    }
								    
								    if($TotalTxn>0)
								    {
								    echo "<tr>";
								        echo "<td>".$fdate."</td>";
		    						    echo "<td>".$ldate."</td>";
			    					    echo "<td>".$opName."</td>";
				    				    echo "<td>".$TotalTxn."</td>";
					    			    echo "<td>".$TotalRo."</td>";
								    echo "</tr>";
								    }
								}
								
							}
							else
							{
							    $fdate=$date;
							    $ldate=$date;
							    $quOp="SELECT * FROM operator";
								$reOp=mysqli_query($con,$quOp);
								while($dataOp=mysqli_fetch_array($reOp))
								{
								    $OwnApiCode=$dataOp['OwnApiCode'];
								    $TotalTxn=0;
								    $TotalRo=0;
								    $quTxn="SELECT * FROM recharge WHERE Userid='$uid' AND Status='SUCCESS' AND Rechargedate>='$fdate' AND Rechargedate<='$ldate' AND OpCode='$OwnApiCode'";
								    $reTxn=mysqli_query($con,$quTxn);
								    while($dataTxn=mysqli_fetch_array($reTxn))
								    {   
							    		$TotalTxn=$TotalTxn+$dataTxn['Amount'];
							    		$TotalRo=$TotalRo+$dataTxn['R_Offer'];
							    		$opName=$dataTxn['Companyname'];
								    }
								    if($TotalTxn>0)
								    {
								    echo "<tr>";
								        echo "<td>".$fdate."</td>";
		    						    echo "<td>".$ldate."</td>";
			    					    echo "<td>".$opName."</td>";
				    				    echo "<td>".$TotalTxn."</td>";
					    			    echo "<td>".$TotalRo."</td>";
								    echo "</tr>";
								    }
								}
							}
							
							
						?>
					</table>
				</div>
			</div>
		</div>
	</div>
	<?php
		require'footer.php';
	?>
</body>
</html>